Bug 17052 - vipw does not edit /etc/shadow
Summary: vipw does not edit /etc/shadow
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-28 20:16 UTC by ivan
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 00:52:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ivan 2000-08-28 20:16:51 UTC
When running vipw, you can edit /etc/passwd, but you do not get prompted 
to edit /etc/shadow, nor do the entries get propogated. This means that 
the passwd and shadow files may contain different information, which is 
potentially a security bug.

If you run vipw in Solaris, and change /etc/passwd, you are prompted that 
you should probably change /etc/shadow, "would you like to change shadow 
aswell".

This has probably been a bug since shadow passwords started being used 
in Linux.

I know that people should be using "useradd", or some such, but vipw is 
the BSD way of adding users, and people used to using BSD typically use 
that tool to create/delete/modify users.

Comment 1 Erik Troan 2001-02-08 00:52:28 UTC
fixed in util-linux-2.10s-2, and patch sent to util-linux maintainer


Note You need to log in before you can comment on or make changes to this bug.